Page MenuHomePhabricator

Unparsed wikitext on [[Special:ApiSandbox]]
Closed, ResolvedPublic

Description

The description of the parameters are not parsed anymore:
https://en.wikipedia.org/wiki/Special:ApiSandbox#action=query&prop=revisions&format=json&rvlimit=10

E.g.:

May be used in several ways: # Get data about a set of pages (last revision), by setting titles or pageids. # Get revisions for one given page, by using titles or pageids with start, end, or limit. # Get data about a set of revisions by setting their IDs with revids.

Which properties to get for each revision:
;ids:The ID of the revision. ;flags:Revision flags (minor). ;timestamp:The timestamp of the revision. ;user:User that made the revision. ;userid:User id of revision creator. ;size:Length (bytes) of the revision. ;sha1:SHA-1 (base 16) of the revision. ;contentmodel:Content model id. ;comment:Comment by the user for revision. ;parsedcomment:Parsed comment by the user for the revision. ;content:Text of the revision. ;tags:Tags for the revision.


Version: unspecified
Severity: normal

Details

Reference
bz72928
Related Gerrit Patches:
mediawiki/extensions/ApiSandbox : masterUse html helpformat for paraminfo

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 4:01 AM
bzimport set Reference to bz72928.
bzimport added a subscriber: Unknown Object (MLST).
He7d3r created this task.Nov 3 2014, 11:03 PM

Note that ApiSandbox never had *parsed* wikitext. Before recent changes it was trying to pretty-print the plain text that was handed to it. Unfortunately the pretty-printing isn't handling the wikitext in a sensible way.

Rewriting ApiSandbox to clean stuff like this up is on my list of things to do, or Gerrit change 168761 might wind up taking care of this.

gerritadmin wrote:

Change 168761 had a related patch set uploaded by Umherirrender:
Use html helpformat for paraminfo

https://gerrit.wikimedia.org/r/168761

Change 168761 had a related patch set uploaded (by Umherirrender):
Use html helpformat for paraminfo

https://gerrit.wikimedia.org/r/168761

Patch-For-Review

Change 168761 merged by jenkins-bot:
Use html helpformat for paraminfo

https://gerrit.wikimedia.org/r/168761

Umherirrender closed this task as Resolved.Nov 25 2014, 4:54 PM
Umherirrender claimed this task.

succesfully merged